<?php 

remove_action('woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating ', 5);
remove_action('woocommerce_before_shop_loop_item_title', 'woocommerce_show_product_loop_sale_flash', 10);
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );

function woocommerce_template_loop_product_thumbnail(){
	global $post, $product;
	$details = get_option('shop_catalog_image_size');
	$url = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full');
	$resized_image = aq_resize($url[0], $details['width'], $details['height'], $details['crop']);
	if(!( $resized_image ))
		$resized_image = $url[0];
	
	$output = '<figure>';
	
	if ( $product->is_on_sale() )
		$output .= '<div class="badge pink"><span>'. __('Sale!','kwoon') .'</span></div>';
		
	$output .= '
			<a href="'. get_permalink() .'">
				<div class="text-overlay">
					<div class="info"><span>View Details</span></div>
				</div>
				<img src="' . $resized_image . '" alt="' . get_the_title() . '" />
			</a>
		</figure>
	';
	
	echo $output;
}

if(!( function_exists('ebor_cart_icon') )){
	function ebor_cart_icon($items, $args) {
		if( 'primary' == $args->theme_location ){
			global $woocommerce;
			$items .= '<li class="shopping-cart menu-icon"><a href="'. esc_url($woocommerce->cart->get_cart_url()) .'"><i class="btn-border dark icon-basket-1"></i><span>'. __('Shopping Cart','kwoon') .'</span></a></li>';
		}
		return $items;
	}
	add_filter( 'wp_nav_menu_items', 'ebor_cart_icon', 20,2 );
}

//Remove prettyPhoto lightbox
add_action( 'wp_enqueue_scripts', 'ebor_remove_woo_lightbox', 99 );
function ebor_remove_woo_lightbox() {
    wp_dequeue_style( 'woocommerce_prettyPhoto_css' );
    wp_dequeue_script( 'prettyPhoto' );
    wp_dequeue_script( 'prettyPhoto-init' );
}