<?php 
	$default = get_option('custom_logo', EBOR_THEME_DIRECTORY . 'style/images/logo.png');
	$default_retina = get_option('custom_logo_retina', EBOR_THEME_DIRECTORY . 'style/images/logo@2x.png');
	
	$protocols = array('http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'skype');
	$phone = get_option('header_phone', '+00 (123) 456 78 90');
	$email = get_option('header_email', 'first.last@email.com');
?>

<nav class="yamm navbar navbar-default default solid" role="navigation">

	<div class="top-bar">
		<div class="container">
		
			<ul class="info pull-left">
				<?php	
					if( $email )
						echo '<li><i class="icon-mail"></i> <a href="'. esc_url('mailto:'. $email) .'" class="email-link">'. $email .'</a></li>';
						
					if( $phone )
						echo '<li><i class="icon-phone-1"></i> '. $phone .' </li>';
				?>
			</ul>
			
			<ul class="social pull-right">
				<?php
					for( $i = 1; $i < 7; $i++ ){
						if( get_option("header_social_url_$i") ) {
							echo '<li>
								      <a href="' . esc_url(get_option("header_social_url_$i"), $protocols) . '" target="_blank">
									      <i class="icon-s-' . get_option("header_social_icon_$i") . '"></i>
								      </a>
								  </li>';
						}
					} 
				?>
			</ul>
			
			<div class="clearfix"></div>
		
		</div>
	</div>
	
	<div class="container">
	
		<div class="navbar-header">
			<div class="basic-wrapper"> 
			
				<a class="btn responsive-menu" data-toggle="collapse" data-target=".navbar-collapse"><i></i></a>
				
				<div class="navbar-brand">
					<a href="<?php echo esc_url(home_url('/')); ?>">
						<img 
							src="<?php echo esc_url($default); ?>" 
							alt="<?php echo esc_attr(get_option('custom_logo_alt_text')); ?>" 
							data-src="<?php echo esc_url($default); ?>" 
							data-ret="<?php echo esc_url($default_retina); ?>" 
							class="retina" 
						/>
					</a>
				</div>
				
			</div>
		</div>
		
		<div class="collapse navbar-collapse">
			<?php
				if ( has_nav_menu( 'primary' ) ){
					wp_nav_menu( 
						array(
						    'theme_location'    => 'primary',
						    'depth'             => 3,
						    'container'         => false,
						    'container_class'   => false,
						    'menu_class'        => 'nav navbar-nav',
						    'menu_id'           => 'menu-standard-navigation',
						    'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
						    'walker'            => new ebor_bootstrap_navwalker()
						)
					);
				} else {
					echo '<ul class="nav navbar-nav"><li><a href="'. admin_url('nav-menus.php') .'">Set up a navigation menu now</a></li></ul>';
				}
			?>
		</div>
	
	</div> 

</nav>

<div class="offset offset2"></div>